Subject: [AVT] Coments on draft-ietf-avt-mpeg4-multisl-04.txt

From: "Dorairaj V" <[email-masked]>
Date: Wed, 6 Mar 2002 15:45:52 +0530

Hi Philippe ,
 I have gone thru till section  5 of "draft-ietf-avt-mpeg4-multisl-04.txt" . My comments are given below . I shall get back to you shortly with my comments on rest of the document .

With regards
Dorai

1) Section 1.2  Last  paragraph , H.323 has to be replaced by H.245 , since H.323 refers to a family of protocols and H.245 is the control protocol

2) Section 1.3.1 , Para 3 . The paragraph "The delivery layer in MPEG-4 consists of the Delivery Media Integration Framework defined in ISO/IEC 14496-6 [4]"

It has to be made clear that it is a non normative specification

3) Section 3.1 Marker Bit :
 Last line in the paragraph states that 'M' bit is related to accessUnitEndFlag .
 It has to be made clear that in cases where neither accessUnitStartFlag nor accessUnitEndFlag are used , then also 'M' bit is set

4) Section 3.1 Paragraph on  TimeStamp: 

a)  5 th Paragraph talks about the case where 'Constant Random Offset' is added to RTP time stamp . 
  It can be mentioned that for example when RTSP is used , the mapping between CTS and  RTP  time 
  stamp can be achieved using the  RTP-Info.RtpTime  field of RTSP play response .

b) The resolution of RTP time stamp is not explicitly mentioned . If Systems layer is used , 
   the value contained in SLConfigDescriptor.TimeStampResolution shall be used .
    In absence of systems layer , the resolution of time stamp depends on media and is signalled 
      using SDP parameter . Eg  a=rtpmap:96 mpeg4-generic/44100/2 .
   For Audio Sampling frequency may be used as time stamp resolution . 

5) Section 3.2 :
 Paragraph on  Payload header section :

It is mentioned that "In Single packing style , the section is empty by default' . 
Section 3.3 figure 6 gives format of Payload  Header Section structure in 'Single' packing style .
The diagram causes confusion since in section 3.2 it is mentioned that  "In Single packing style , 
the section is empty by default" .

The sentence "In Single packing style , the section is empty by default . How ever we can over ride
this default configuration . In such a case this section has a structure as given in figure 6 section 3.3 . 
Methods of over riding this behaviour are discussed later in this document" .

Give examples as to what cases you use Single with default configuration (With out payload header)
 and non default configuration (With payload header but no Payload header section size) and 
what cases you use "Multiple"  .

eg:
a)When I want to transport MPEG-4 video AUs confirming to RFC 3016 , 
Single mode is used with no header as described in section 3.3 figure 6
IN this mode the following parameters shall be used .
SizeLength - Absent or 0
IndexLength - Absent or 0
IndexDeltaLength - Absent or 0
CTSDeltaLength - Absent or 0
DTSDeltaLength -Absent or 0

b) When SL Packetized MPEG-4 Video AUs are trasmitted , 
Single mode is used with the header described 
in figure 6 of section 3.3
 SizeLength - Absent or 0
IndexLength - Can be non Zero
IndexDeltaLength - Absent or 0
CTSDeltaLength - Absent or 0
DTSDeltaLength -Can be present if DTS is different fom CTS .

In Single mode (With no payload header section structure), parsing of bitstreams is required to 
get the CTS . In order to extract  the DTS , the time stamp of previous AU is required . 
When the previous AU is lost , the Decoding Time Stamp of current AU cannot be determined 
(Since the DTS of current AU depends on CTS of previous AU for I and P VOPs).

How ever when you use the 'SingleMode' due to the presence of 'Payload header' the CTS 
and DTS of every AU can be easily determined independent of previous Access units .

6) Section 3.4.2 . : PacketSequenceNumber : 
 Mention that "PacketSequenceNumber" is mapped to  "Index" field of Payload header

7) General : It is mentioned inside  the document that it expires in Mar 2002 while the
first page it says that it expires in Aug 2002 . Correction has to be done in either of the
places